Works

Count Works (POST)

Get count of work matching given filter.

POST
/works.count

Get count of work matching given filter.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Request Body

application/json

type?array<work-type>

Filters for work of the provided types.

actual_close_date?|

Provides ways to specify date ranges on objects.

applies_to_part?array<string>

Filters for work belonging to any of the provided parts.

created_by?array<string>

Filters for work created by any of these users.

created_date?|

Provides ways to specify date ranges on objects.

custom_fields?object

Filters for custom fields.

external_ref?array<string>

Filters for work with any of the provided external references.

issue?
modified_by?array<string>

Filters for work modified by any of these users.

modified_date?|

Provides ways to specify date ranges on objects.

opportunity?
owned_by?array<string>

Filters for work owned by any of these users.

reported_by?array<string>

Filters for work reported by any of these users.

stage?

The filter for stages.

staged_info?
state?array<string>

Filters for work with any of the provided states.

sync_metadata?
tags?array<string>

Filters for work with any of the provided tags.

target_close_date?|

Provides ways to specify date ranges on objects.

ticket?
vista?string

Filters for work belonging to the given vista.

Formatid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.devrev.ai/works.count" \  -H "Content-Type: application/json" \  -d '{}'
{
  "count": 0,
  "has_more": true
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}